| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Protected Attributes
AAX_CPacketHandler< TWorker > Class Template Reference

`#include <AAX_CPacketDispatcher.h>`

Inheritance diagram for AAX_CPacketHandler< TWorker >:
[legend]
Collaboration diagram for AAX_CPacketHandler< TWorker >:
[legend]

## Description

template<class TWorker>
class AAX_CPacketHandler< TWorker >

Callback container used by AAX_CPacketDispatcher.

## Public Member Functions
| AAX_CPacketHandler (TWorker *iPt2Object, fPt2Fn infPt)
| AAX_CPacketHandler (TWorker *iPt2Object, fPt2FnEx infPt)
AAX_IPacketHandler * | Clone () const
AAX_Result | Call (AAX_CParamID inParamID, AAX_CPacket &ioPacket) const
Public Member Functions inherited from AAX_IPacketHandler
virtual | ~AAX_IPacketHandler ()
virtual AAX_IPacketHandler * | Clone () const =0
virtual AAX_Result | Call (AAX_CParamID inParamID, AAX_CPacket &ioPacket) const =0

## Protected Attributes
TWorker * | pt2Object
fPt2Fn | fpt
fPt2FnEx | fptEx

## Constructor & Destructor Documentation

## ◆ AAX_CPacketHandler() [1/2]

template<class TWorker >

AAX_CPacketHandler< TWorker >::AAX_CPacketHandler | ( | TWorker * | iPt2Object,
|  | fPt2Fn | infPt
| ) |  |
| inline

## ◆ AAX_CPacketHandler() [2/2]

template<class TWorker >

AAX_CPacketHandler< TWorker >::AAX_CPacketHandler | ( | TWorker * | iPt2Object,
|  | fPt2FnEx | infPt
| ) |  |
| inline

## Member Function Documentation

## ◆ Clone()

template<class TWorker >

AAX_IPacketHandler * AAX_CPacketHandler< TWorker >::Clone | ( |  | ) | const
| inline virtual

Implements AAX_IPacketHandler.

## ◆ Call()

template<class TWorker >

AAX_Result AAX_CPacketHandler< TWorker >::Call | ( | AAX_CParamID | inParamID,
|  | AAX_CPacket & | ioPacket
| ) |  | const
| inline virtual

Implements AAX_IPacketHandler.

References AAX_ERROR_NULL_OBJECT, AAX_CPacketHandler< TWorker >::fpt, AAX_CPacketHandler< TWorker >::fptEx, and AAX_CPacketHandler< TWorker >::pt2Object.

## Member Data Documentation

## ◆ pt2Object

template<class TWorker >

TWorker* AAX_CPacketHandler< TWorker >::pt2Object
| protected

Referenced by AAX_CPacketHandler< TWorker >::Call().

## ◆ fpt

template<class TWorker >

fPt2Fn AAX_CPacketHandler< TWorker >::fpt
| protected

Referenced by AAX_CPacketHandler< TWorker >::Call().

## ◆ fptEx

template<class TWorker >

fPt2FnEx AAX_CPacketHandler< TWorker >::fptEx
| protected

Referenced by AAX_CPacketHandler< TWorker >::Call().

The documentation for this class was generated from the following file:

- AAX_CPacketDispatcher.h